Skip to main content
GET
/
v1
/
posts
List posts
curl --request GET \
  --url https://api.letmepost.dev/v1/posts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "profileId": "<string>",
      "accountId": "<string>",
      "account": {
        "id": "<string>",
        "platform": "bluesky",
        "platformAccountId": "<string>",
        "displayName": "<string>"
      },
      "platform": "bluesky",
      "status": "queued",
      "text": "<string>",
      "mediaRefs": [
        "<unknown>"
      ],
      "scheduledAt": "<string>",
      "publishedAt": "<string>",
      "platformUri": "<string>",
      "platformCid": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "error": "<unknown>"
    }
  ],
  "nextCursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.letmepost.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Mint an API key in the dashboard. See https://letmepost.dev/docs/authentication/.

Query Parameters

profileId
string<uuid>
platform
enum<string>[]

Supported platforms in v1.

Available options:
bluesky,
facebook,
instagram,
linkedin,
pinterest,
threads,
twitter
status
enum<string>[]
Available options:
queued,
validated,
publishing,
published,
failed,
rejected
errorCode
string[]
after
string<date-time>
before
string<date-time>
limit
integer
Required range: 1 <= x <= 200
cursor
string

Response

Page of posts.

data
object[]
required
nextCursor
string | null
required